Bug 225442 - net/shadowsocks-libev: update to 3.1.3
Summary: net/shadowsocks-libev: update to 3.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://reviews.freebsd.org/D14200
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-25 04:06 UTC by csosstudy
Modified: 2018-02-05 18:27 UTC (History)
2 users (show)

See Also:
xiaoding+freebsd: maintainer-feedback+


Attachments
shadowsocks-libev.diff (1.13 KB, patch)
2018-01-25 04:06 UTC, csosstudy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description csosstudy 2018-01-25 04:06:15 UTC
Created attachment 190046 [details]
shadowsocks-libev.diff

update net/shadowsocks-libev to 3.1.3

upsream changelog:

shadowsocks-libev (3.1.3-1) unstable; urgency=medium

  * Fix a bug in UDP relay.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 15 Jan 2018 17:19:31 -0800

shadowsocks-libev (3.1.2-1) unstable; urgency=medium

  * Fix a bug in DNS resolver.
  * Add new TFO API support.

 -- Max Lv <max.c.lv@gmail.com>  Thu, 28 Dec 2017 21:01:56 -0800

shadowsocks-libev (3.1.1-1) unstable; urgency=high

  * Fix a security issue in ss-manager. (CVE-2017-15924)

-- Max Lv <max.c.lv@gmail.com> Mon, 20 Nov 2017 12:13:04 +0800
Comment 1 xiaoding+freebsd 2018-01-28 14:23:41 UTC
Approved with thanks!
Comment 2 commit-hook freebsd_committer 2018-02-05 05:07:47 UTC
A commit references this bug:

Author: yuri
Date: Mon Feb  5 05:07:25 UTC 2018
New revision: 460961
URL: https://svnweb.freebsd.org/changeset/ports/460961

Log:
  Adding VuXML record for vulnerability CVE-2017-15924 in net/shadowsocks-libev.

  D14200 (part I).

  The next commit will update net/shadowsocks-libev and fix this
  vulnerability.

  PR:		225442
  Submitted by:	myself
  Approved by:	adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D14200

Changes:
  head/security/vuxml/vuln.xml
Comment 3 commit-hook freebsd_committer 2018-02-05 05:09:51 UTC
A commit references this bug:

Author: yuri
Date: Mon Feb  5 05:09:48 UTC 2018
New revision: 460962
URL: https://svnweb.freebsd.org/changeset/ports/460962

Log:
  net/shadowsocks-libev: Update to 3.1.3

  Summary of change logs:
  * shadowsocks-libev (3.1.3-1)
    * Fix a bug in UDP relay.
  * shadowsocks-libev (3.1.2-1)
    * Fix a bug in DNS resolver.
    * Add new TFO API support.
  * shadowsocks-libev (3.1.1-1)
    * Fix a security issue in ss-manager. (CVE-2017-15924)

  Additional port changes:
  * Added LICENSE_FILE
  * Sorted GH_TUPLE
  * Changed static library to shared library
  * Added USE_LDCONFIG
  * Added INSTALL_TARGET=install-strip
  * Added optional shell completion files for BASH and ZSH

  PR:		225442
  Submitted by:	csosstudy@gmail.com (PORTVERSION line)
  Approved by:	xiaoding+freebsd@xiaoding.org (maintainer), adamw (mentor)
  MFH:		2018Q1
  Differential Revision:	https://reviews.freebsd.org/D14200

Changes:
  head/net/shadowsocks-libev/Makefile
  head/net/shadowsocks-libev/distinfo
  head/net/shadowsocks-libev/pkg-plist
Comment 4 Yuri Victorovich freebsd_committer 2018-02-05 05:10:05 UTC
Committed with additions.
Thank you for your submission!
Comment 5 commit-hook freebsd_committer 2018-02-05 18:27:21 UTC
A commit references this bug:

Author: yuri
Date: Mon Feb  5 18:26:29 UTC 2018
New revision: 461010
URL: https://svnweb.freebsd.org/changeset/ports/461010

Log:
  MFH: r460962

  net/shadowsocks-libev: Update to 3.1.3

  Summary of change logs:
  * shadowsocks-libev (3.1.3-1)
    * Fix a bug in UDP relay.
  * shadowsocks-libev (3.1.2-1)
    * Fix a bug in DNS resolver.
    * Add new TFO API support.
  * shadowsocks-libev (3.1.1-1)
    * Fix a security issue in ss-manager. (CVE-2017-15924)

  Additional port changes:
  * Added LICENSE_FILE
  * Sorted GH_TUPLE
  * Changed static library to shared library
  * Added USE_LDCONFIG
  * Added INSTALL_TARGET=install-strip
  * Added optional shell completion files for BASH and ZSH

  PR:		225442
  Submitted by:	csosstudy@gmail.com (PORTVERSION line), myself (the rest)
  Approved by:	ports-secteam (swills), adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D14200

Changes:
_U  branches/2018Q1/
  branches/2018Q1/net/shadowsocks-libev/Makefile
  branches/2018Q1/net/shadowsocks-libev/distinfo
  branches/2018Q1/net/shadowsocks-libev/pkg-plist